//main.c

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <pthread.h>
#include "wsserver.h"
#include "main.h"
#include "version.h"
#include "wsserver.h"


int main(int argc, char *argv[])
{
	int	scnt		= 1;
	int	res;
	//
	if(argc < 2)
	{
		printf("Необходимы параметры!\n");
		return -1;
	}
	while(scnt < argc)
	{
		if(strcmp(argv[scnt], "--help") == 0)
		{
			printf(_help_);
			return 0;
		}
		else if(strcmp(argv[scnt], "--version") == 0)
		{
			printf("Date : %s Version : %s\n", _date, _version);
			return 0;
		}
		else if(strcmp(argv[scnt], "-p") == 0)
		{
			scnt++;
			if(!(scnt < argc))
			{
				printf("Не задано значение параметроа порта прослушивания!\n");
				return -2;
			}
			wsport = atoi(argv[scnt]);
		}
		else
		{
			printf("значение: %s ...не определено! используйте --help для подсказки!\n", argv[scnt]);
			return -1;
		}
		scnt++;
	}
	//
	res = startWSserver();
	if(res < 0)
		return -3;
	while(work)
	{
		usleep(100000);
	}
	//
	pthread_mutex_lock(&serverWSmutex);
	work	= 0;
	pthread_mutex_unlock(&serverWSmutex);
	//
	return 0;
}
